summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2019-02-28 01:33:24 +0200
committerMart Raudsepp <leio@gentoo.org>2019-02-28 01:57:26 +0200
commitc26744d5af334fee1a60d175e4e4e0b3d47fe39d (patch)
tree26b2a2ce8fa4bb6b9f2e8058d24cfb3bc973c374 /gnome-extra/gnome-shell-frippery
parentgnome-base/gnome-shell: bump to 3.28.3 (diff)
downloadgentoo-c26744d5af334fee1a60d175e4e4e0b3d47fe39d.tar.gz
gentoo-c26744d5af334fee1a60d175e4e4e0b3d47fe39d.tar.bz2
gentoo-c26744d5af334fee1a60d175e4e4e0b3d47fe39d.zip
gnome-extra/gnome-shell-frippery: bump to 3.28.4
All extensions are claimed compatible with at least both gnome-shell 3.26 and 3.28, so adjust the gnome-shell requirement accordingly. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
Diffstat (limited to 'gnome-extra/gnome-shell-frippery')
-rw-r--r--gnome-extra/gnome-shell-frippery/Manifest1
-rw-r--r--gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.28.4.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/gnome-extra/gnome-shell-frippery/Manifest b/gnome-extra/gnome-shell-frippery/Manifest
index 4e1da129de9..e4bd2adf8f3 100644
--- a/gnome-extra/gnome-shell-frippery/Manifest
+++ b/gnome-extra/gnome-shell-frippery/Manifest
@@ -1,2 +1,3 @@
DIST gnome-shell-frippery-3.24.0.tgz 79322 BLAKE2B d5e6db3d165708836e0cec4c1c2f6ffd3227876a566759ac9db9c7ce1d71841002a991df0bd2bf2279e79dfb9a87af1e8b10abe850f972ff2c9f49397106b8b5 SHA512 7f12f3be7ec4d55cf9f96c81c5af649cbb410fe79e880b3b5469e1554ae8419e40d5a77ab9d3889758a2729dd31e59b08e507803b84886305b75fe27df5eebd5
DIST gnome-shell-frippery-3.26.5.tgz 87012 BLAKE2B 23f073cfbbd87bc29cc90f052b841c5a5cca535b2a0e8ef3f220fc4bd9a1a2857fde817f0dca478673fa27a93a028ead28a880f67ec574d6011e3a63630540e1 SHA512 b5767af112e1744f7928c01810b16df565409da43cac1638467b1425b50cd0c48cfea3535be501b47144c8e1b5b9eeb6283c80464ec1b02d74f60e7d04478c85
+DIST gnome-shell-frippery-3.28.4.tgz 87337 BLAKE2B 3baccef54902953766ff2e78f8c291e34ff2b4a698f81cc4b21a5fa0c1c452b43509e7e9c840fedce398a50a5986e5992ff189d3f87954f24c2f39f46b651e08 SHA512 69648307f6783615c09d104f3e19e9f17046e5800df394335508cf41c4a7907e85b9d53b461e313f42f29c7637dbd4047833a2e56818d3cc7abe640d9936c855
diff --git a/gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.28.4.ebuild b/gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.28.4.ebuild
new file mode 100644
index 00000000000..62085f4d097
--- /dev/null
+++ b/gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.28.4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Unofficial extension pack providing GNOME 2-like features for GNOME 3"
+HOMEPAGE="http://frippery.org/extensions/index.html"
+SRC_URI="http://frippery.org/extensions/${P}.tgz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ app-eselect/eselect-gnome-shell-extensions
+ >=dev-libs/gjs-1.29
+ dev-libs/gobject-introspection:=
+ gnome-base/gnome-menus:3[introspection]
+ >=gnome-base/gnome-shell-3.26
+ <gnome-base/gnome-shell-3.29
+ media-libs/clutter:1.0[introspection]
+ x11-libs/pango[introspection]
+"
+DEPEND=""
+
+S="${WORKDIR}/.local/share/gnome-shell"
+
+src_install() {
+ insinto /usr/share/gnome-shell/extensions
+ doins -r extensions/*@*
+ dodoc gnome-shell-frippery/{CHANGELOG,README}
+}
+
+pkg_postinst() {
+ ebegin "Updating list of installed extensions"
+ eselect gnome-shell-extensions update
+ eend $?
+}